// Require necessary modules
const childProcess = require('child_process');
const os = require('os');

// Show OS/kernel version
console.log(`Kernel version: ${os.release()}`);

// Show current working directory (CWD)
console.log(`CWD: ${process.cwd()}`);;

const ls = childProcess.spawn('ls', ['-lh', '/']);;

ls.stdout.on('data', output => console.log(`Info: ${output}`));        // Normal output
ls.stderr.on('data', err => console.error(`Error: ${err}`));          // Error output;

ls.on('close', code => console.log(`Child process closed with code ${code}`));;
